package cat.xtec.ioc.domain.repository.impl;

import cat.xtec.ioc.domain.Comment;
import cat.xtec.ioc.domain.repository.CommentRepository;
import java.util.ArrayList;
import java.util.List;
import org.springframework.stereotype.Repository;

@Repository
public class InMemoryCommentRepository implements CommentRepository {
    
    private List<Comment> listOfComments = new ArrayList<Comment>();

    public InMemoryCommentRepository() {
        
        Comment comment010a = new Comment("010a","010","admin","El temps sempre igual.");
        Comment comment010b = new Comment("010b","010","maria","Uf! Quina calor.");
        Comment comment010c = new Comment("010c","010","joan","Paciència.");
        Comment comment020a = new Comment("020a","020","admin","Això és una bona notícia.");
        Comment comment020b = new Comment("020b","020","joan","Jo he trobat feina.");
        Comment comment030a = new Comment("030a","030","admin","Haurem de posar-nos les piles");
        listOfComments.add(comment010a);
        listOfComments.add(comment010b);
        listOfComments.add(comment010c);
        listOfComments.add(comment020a);
        listOfComments.add(comment020b);
        listOfComments.add(comment030a);
        
    }
    
    

    public List<Comment> getAllComments() {
        return listOfComments;
    }

    public List<Comment> getCommentsByNews(String news) {
        List<Comment> returnedComments = new ArrayList<Comment>();
        for (Comment comment : listOfComments) {
            if (comment != null && comment.getNews() != null
                    && comment.getNews().equals(news)) {
                returnedComments.add(comment);
            }
        }
        return returnedComments;
    }
        
}
